Robotsystem from Robot Group Leipzig: ThisSim Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# ThisSim Class Reference

Inheritance diagram for ThisSim:

[legend]
Collaboration diagram for ThisSim:

[legend]
List of all members.

## Detailed Description

Examples:

  main.cpp.

Definition at line 102 of file template_onerobot/main.cpp.

## Public Member Functions
void | start (const OdeHandle &odeHandle, const OsgHandle &osgHandle, GlobalData &global)
| start() is called at the start and should create all the object (obstacles, agents...).
virtual void | start (const OdeHandle &odeHandle, const OsgHandle &osgHandle, GlobalData &global)
| start() is called at the start and should create all the object (obstacles, agents...).
void | start (const OdeHandle &odeHandle, const OsgHandle &osgHandle, GlobalData &global)
| start() is called at the start and should create all the object (obstacles, agents...).
void | start (const OdeHandle &odeHandle, const OsgHandle &osgHandle, GlobalData &global)
| start() is called at the start and should create all the object (obstacles, agents...).

## Member Function Documentation

void start | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | GlobalData & | global
| ) | `[inline, virtual]`

| start() is called at the start and should create all the object (obstacles, agents...). Implements Simulation. Definition at line 75 of file zoo/main.cpp.

void start | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | GlobalData & | global
| ) | `[inline, virtual]`

| start() is called at the start and should create all the object (obstacles, agents...). Implements Simulation. Definition at line 72 of file template_sphererobot/main.cpp.

virtual void start | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | GlobalData & | global
| ) | `[inline, virtual]`

| start() is called at the start and should create all the object (obstacles, agents...). Implements Simulation. Definition at line 64 of file template_schlange/main.cpp.

void start | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | GlobalData & | global
| ) | `[inline, virtual]`

| start() is called at the start and should create all the object (obstacles, agents...). Implements Simulation. Definition at line 106 of file template_onerobot/main.cpp.